MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025190Open CASCADE[OCCT] OCCT:Codingpublic2014-08-26 09:262014-11-11 12:59
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025190: Visualization - class OpenGl_StructureShadow is defined as local in OpenGl_Structure.cxx
DescriptionClass OpenGl_StructureShadow is defined as local in OpenGl_Structure.cxx. However, this class has all the features of public class: its instance can exist globally; it has RTTI methods, etc. Its definition should be moved to separate files with corresponding name.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0031218)
git (administrator)
2014-09-01 15:06

Branch CR25190 has been created by isz.

SHA-1: d3190f6db7dbf73c4b9fb9dc7130f1f7a8ac6237


Detailed log of new commits:

Author: isz
Date: Mon Sep 1 15:05:28 2014 +0400

    0025190: Visualization - class OpenGl_StructureShadow is defined as local in OpenGl_Structure.cxx
    
    Created OpenGl_StructureShadow.hxx and OpenGl_StructureShadow.cxx
(0031220)
git (administrator)
2014-09-01 15:18

Branch CR25190 has been updated by isz.

SHA-1: baa98f83b7e113452e552db3847bf1c4acc6e82e


Detailed log of new commits:

Author: isz
Date: Mon Sep 1 15:18:20 2014 +0400

    0025190: Visualization - class OpenGl_StructureShadow is defined as local in OpenGl_Structure.cxx
    
    Created OpenGl_StructureShadow.hxx and OpenGl_StructureShadow.cxx

(0031225)
git (administrator)
2014-09-01 15:52

Branch CR25190 has been updated forcibly by isz.

SHA-1: c73d179cf97aad91abf33dead1f3f6c450334de1
(0031226)
kgv (developer)
2014-09-01 16:06

Please check compilation of patch in branch CR25190.
(0031318)
mkv (tester)
2014-09-03 17:20

Dear BugMaster,
Branch CR5190 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: c73d179cf97aad91abf33dead1f3f6c450334de1

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)

products component :
Linux: 11 (11 on master)

There are compilation errors on Windows platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25190/job/mnt-CR25190-master_build_occt_windows/2/parsed_console/ [^]
46>OpenGl_Structure.obj : error LNK2019: unresolved external symbol "public: __thiscall OpenGl_StructureShadow::OpenGl_StructureShadow(class Handle_Graphic3d_StructureManager const &,class Handle_OpenGl_Structu
re const &)" (??0OpenGl_StructureShadow@@QAE@ABVHandle_Graphic3d_StructureManager@@ABVHandle_OpenGl_Structure@@@Z) referenced in function "public: virtual class Handle_Graphic3d_CStructure __thiscall OpenGl_Str
ucture::ShadowLink(class Handle_Graphic3d_StructureManager const &)const " (?ShadowLink@OpenGl_Structure@@UBE?AVHandle_Graphic3d_CStructure@@ABVHandle_Graphic3d_StructureManager@@@Z)
46>.\..\..\..\win32\vc10\bin\TKOpenGl.dll : fatal error LNK1120: 1 unresolved externals

Regressions/Differences:
http://occt-tests/CR25190-master-occt/Debian60-64/summary.html [^]

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 323765664 / 323944140
Total CPU difference: 41594.20000000006 / 44601.48999999999
products component :
Total MEMORY difference: 109139600 / 109158944
Total CPU difference: 16732.580000000024 / 17204.64000000002

There are no differences in images found by testdiff.
(0031321)
kgv (developer)
2014-09-03 17:31

Dear Ivan,

please fix file "OpenGl/FILES".
(0031337)
git (administrator)
2014-09-04 10:21

Branch CR25190 has been updated by isz.

SHA-1: 9b05b6acedabe074cae5f303312effff870e8f8f


Detailed log of new commits:

Author: isz
Date: Thu Sep 4 10:21:48 2014 +0400

    Edited OpenGl/FILES

(0031348)
kgv (developer)
2014-09-04 12:27

The issue should be fixed now - please re-check compilation.
(0031506)
mkv (tester)
2014-09-09 12:05

Dear BugMaster,
Branch CR25190 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 9b05b6acedabe074cae5f303312effff870e8f8f

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 2 (2 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 353582144 / 353638312
Total CPU difference: 42960.19000000002 / 44814.86999999998
products component :
Total MEMORY difference: 109224940 / 109158944
Total CPU difference: 17306.16 / 17204.64000000002

Testing on Windows:
occt component :
Total MEMORY difference: 241578416 / 241460332
Total CPU difference: 40104.25 / 34905.734375
products component :
Total MEMORY difference: 66434128 / 66471812
Total CPU difference: 12512.59375 / 10985.390625

There are no differences in images found by testdiff.
(0032354)
git (administrator)
2014-09-29 23:21

Branch CR25190 has been deleted by kgv.

SHA-1: 9b05b6acedabe074cae5f303312effff870e8f8f

- Related Changesets
occt: master 2bd4bfac
Timestamp: 2014-09-11 08:36:28
Author: isz
Committer: bugmaster
Details ] Diff ]
0025190: Visualization - class OpenGl_StructureShadow is defined as local in OpenGl_Structure.cxx

Created OpenGl_StructureShadow.hxx and OpenGl_StructureShadow.cxx

Edited OpenGl/FILES
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
add - src/OpenGl/OpenGl_StructureShadow.cxx Diff ] File ]
add - src/OpenGl/OpenGl_StructureShadow.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-26 09:26 abv New Issue
2014-08-26 09:26 abv Assigned To => kgv
2014-09-01 15:06 git Note Added: 0031218
2014-09-01 15:15 kgv Assigned To kgv => isz
2014-09-01 15:15 kgv Status new => assigned
2014-09-01 15:18 git Note Added: 0031220
2014-09-01 15:21 isz Status assigned => resolved
2014-09-01 15:52 git Note Added: 0031225
2014-09-01 16:06 kgv Note Added: 0031226
2014-09-01 16:06 kgv Assigned To isz => bugmaster
2014-09-01 16:06 kgv Status resolved => reviewed
2014-09-02 18:03 mkv Assigned To bugmaster => mkv
2014-09-03 17:20 mkv Note Added: 0031318
2014-09-03 17:21 mkv Test case number => Not needed
2014-09-03 17:21 mkv Assigned To mkv => kgv
2014-09-03 17:21 mkv Status reviewed => assigned
2014-09-03 17:31 kgv Note Added: 0031321
2014-09-03 17:31 kgv Assigned To kgv => isz
2014-09-04 10:21 git Note Added: 0031337
2014-09-04 12:27 kgv Note Added: 0031348
2014-09-04 12:27 kgv Assigned To isz => bugmaster
2014-09-04 12:27 kgv Status assigned => resolved
2014-09-04 12:28 kgv Status resolved => reviewed
2014-09-04 18:45 mkv Assigned To bugmaster => mkv
2014-09-09 12:05 mkv Note Added: 0031506
2014-09-09 12:05 mkv Assigned To mkv => bugmaster
2014-09-09 12:05 mkv Status reviewed => tested
2014-09-15 11:14 bugmaster Changeset attached => occt master 2bd4bfac
2014-09-15 11:14 bugmaster Status tested => verified
2014-09-15 11:14 bugmaster Resolution open => fixed
2014-09-29 23:21 git Note Added: 0032354
2014-10-09 18:31 kgv Relationship added related to 0024637
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker